Users API
Create identifier
Create an identifier for a user.
POST
/
v2
/
session
/
apps
/
{appID}
/
users
/
{userID}
/
identifiers
Create identifier
curl --request POST \
--url https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/identifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"value": "<string>"
}
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/identifiers"
payload = { "identifier": { "value": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: {value: '<string>'}})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/identifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request",
"status": "bad_request",
"message": "<string>"
}{
"code": "session_disabled",
"status": "forbidden",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}{
"code": "already_in_use",
"status": "conflict",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
The id of the user the request refers to. An app's user's unique identifier. It is prefixed with 'usr_'
Examples:
"usr_01jqebhswje1ka1z7ahr9rfsgt"
"usr_01jqy7455pf8p9bap5qke912g1"
Body
application/json
Show child attributes
Show child attributes
Response
No Content
⌘I
Create identifier
